<?xml version="1.0" encoding="utf-8"?><!--<androidx.coordinatorlayout.widget.CoordinatorLayout-->
<!--    xmlns:android="http://schemas.android.com/apk/res/android"-->
<!--    xmlns:app="http://schemas.android.com/apk/res-auto"-->
<!--    android:id="@+id/coordinator_layout"-->
<!--    android:layout_width="match_parent"-->
<!--    android:layout_height="match_parent">-->

<!--&lt;!&ndash;    <com.google.android.material.appbar.AppBarLayout&ndash;&gt;-->
<!--&lt;!&ndash;        android:layout_width="match_parent"&ndash;&gt;-->
<!--&lt;!&ndash;        android:layout_height="wrap_content">&ndash;&gt;-->

<!--&lt;!&ndash;        <TextView&ndash;&gt;-->
<!--&lt;!&ndash;            android:layout_width="match_parent"&ndash;&gt;-->
<!--&lt;!&ndash;            android:layout_height="100dp"&ndash;&gt;-->
<!--&lt;!&ndash;            android:background="#222222"&ndash;&gt;-->
<!--&lt;!&ndash;            android:gravity="center"&ndash;&gt;-->
<!--&lt;!&ndash;            android:text="该区域可折叠"&ndash;&gt;-->
<!--&lt;!&ndash;            android:textColor="@android:color/white"&ndash;&gt;-->
<!--&lt;!&ndash;            android:textSize="30sp"&ndash;&gt;-->
<!--&lt;!&ndash;            app:layout_scrollFlags="scroll" />&ndash;&gt;-->

<!--&lt;!&ndash;        <TextView&ndash;&gt;-->
<!--&lt;!&ndash;            android:layout_width="match_parent"&ndash;&gt;-->
<!--&lt;!&ndash;            android:layout_height="50dp"&ndash;&gt;-->
<!--&lt;!&ndash;            android:background="#DD012D"&ndash;&gt;-->
<!--&lt;!&ndash;            android:gravity="center"&ndash;&gt;-->
<!--&lt;!&ndash;            android:text="该区域为上滑至头部固定区域"&ndash;&gt;-->
<!--&lt;!&ndash;            android:textColor="@android:color/white"&ndash;&gt;-->
<!--&lt;!&ndash;            android:textSize="20sp" />&ndash;&gt;-->
<!--&lt;!&ndash;    </com.google.android.material.appbar.AppBarLayout>&ndash;&gt;-->

<!--    <com.google.android.material.bottomappbar.BottomAppBar-->
<!--        android:id="@+id/bar"-->
<!--        android:layout_width="match_parent"-->
<!--        android:layout_height="wrap_content"-->
<!--        android:layout_gravity="bottom"-->
<!--        android:fitsSystemWindows="true"/>-->

<!--    <com.google.android.material.floatingactionbutton.FloatingActionButton-->
<!--        android:id="@+id/fab"-->
<!--        android:layout_width="wrap_content"-->
<!--        android:layout_height="wrap_content"-->
<!--        app:layout_anchor="@+id/bar"-->
<!--        app:srcCompat="@drawable/ic_account"/>-->

<!--    <FrameLayout-->
<!--        android:id="@+id/bottom_drawer"-->
<!--        android:layout_width="match_parent"-->
<!--        android:layout_height="wrap_content"-->
<!--        android:elevation="16dp"-->
<!--        app:behavior_hideable="true"-->
<!--        app:layout_behavior="@string/bottom_sheet_behavior">-->

<!--        <com.google.android.material.navigation.NavigationView-->
<!--            android:id="@+id/navigation_view"-->
<!--            android:layout_width="match_parent"-->
<!--            android:layout_height="wrap_content"-->
<!--            app:menu="@menu/table_function_menu"/>-->
<!--    </FrameLayout>-->

<!--</androidx.coordinatorlayout.widget.CoordinatorLayout>-->

<androidx.coordinatorlayout.widget.CoordinatorLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/coordinator_layout"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/red">

    <!--    <include layout="@layout/cat_bottomappbar_content"/>-->
    <com.google.android.material.appbar.AppBarLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <TextView
            android:layout_width="match_parent"
            android:layout_height="100dp"
            android:background="#222222"
            android:gravity="center"
            android:text="该区域可折叠"
            android:textColor="@android:color/white"
            android:textSize="30sp"
            app:layout_scrollFlags="scroll" />

        <TextView
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:background="#DD012D"
            android:gravity="center"
            android:text="该区域为上滑至头部固定区域"
            android:textColor="@android:color/white"
            android:textSize="20sp" />
    </com.google.android.material.appbar.AppBarLayout>

    <com.google.android.material.bottomappbar.BottomAppBar
        android:id="@+id/bar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="bottom"
        android:fitsSystemWindows="true"
        app:navigationContentDescription="contentDescription"
        app:navigationIcon="@drawable/ic_red_delete" />

    <com.google.android.material.floatingactionbutton.FloatingActionButton
        android:id="@+id/fab"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:contentDescription="contentDescription2"
        app:layout_anchor="@id/bar"
        app:srcCompat="@drawable/ic_add_have_border" />

    <FrameLayout
        android:id="@+id/bottom_drawer"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:elevation="16dp"
        app:behavior_hideable="true"
        app:layout_behavior="@string/bottom_sheet_behavior">

        <com.google.android.material.navigation.NavigationView
            android:id="@+id/navigation_view"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:menu="@menu/demo_primary" />
    </FrameLayout>

</androidx.coordinatorlayout.widget.CoordinatorLayout>